//***************************************************************************

// Copyright (C) 2009 Realmac Software Ltd
//
// These coded instructions, statements, and computer programs contain
// unpublished proprietary information of Realmac Software Ltd
// and are protected by copyright law. They may not be disclosed
// to third parties or copied or duplicated in any form, in whole or
// in part, without the prior written consent of Realmac Software Ltd.

// Created by Danny Greg on 24/08/2010. 

//***************************************************************************

#import <Cocoa/Cocoa.h>

//***************************************************************************

extern NSString *const RMRegistrationControllerDidRegisterNewLicenseNotificationName;

extern NSString *const RMRegistrationControllerLicenseSerialKey;

//***************************************************************************

@interface RMRegistrationController : NSObject {
	NSString *_applicationIdentifier;
	NSString *_productIdentifier;
}

+ (NSDictionary *)loadLicense;
+ (void)saveLicense:(NSDictionary *)license;

- (id)initWithApplicationIdentifier:(NSString *)applicationIdentifier;

/*!
	\brief
	This identifier is used for serial verification.
 */
@property (nonatomic, readonly, copy) NSString *applicationIdentifier;

/*!
	\brief
	This identifier, if present, is used when visiting the store.
 */
@property (copy) NSString *productIdentifier;

/*
 
 */

- (BOOL)verifyExistingLicenseWithError:(NSError **)errorRef;
- (BOOL)verifySerial:(NSString *)serial error:(NSError **)errorRef;

@end
